com.pivotal.gemfirexd.internal.client.am

## Class CallableStatement

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.Statement
  - - com.pivotal.gemfirexd.internal.client.am.PreparedStatement
    - - com.pivotal.gemfirexd.internal.client.am.CallableStatement

All Implemented Interfaces:
  PreparedStatementCallbackInterface, StatementCallbackInterface, UnitOfWorkListener, AutoCloseable, CallableStatement, PreparedStatement, Statement, Wrapper

Direct Known Subclasses:
  CallableStatement40

    public abstract class CallableStatement
    extends PreparedStatement
    implements PreparedStatement, CallableStatement, PreparedStatementCallbackInterface

### Field Summary

Fields
`MaterialPreparedStatement` `materialCallableStatement_`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.PreparedStatement

`clientParamTypeAtFirstExecute, internalPreparedStatement, materialPreparedStatement_, outputRegistered_, parameterMetaData_, parameters_, pooledConnection_, singleHopInfoAlreadyFetched_, sql_, superFlowExecuteCalled_`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.Statement

`autoGeneratedKeys_, cachedCursor_, cachedSingletonRowData_, CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, cursorAttributesToSendOnPrepare_, doWriteTimeout, fetchDirection_, fetchSize_, generatedKeysColumnIndexes_, generatedKeysColumnNames_, generatedKeysResultSet_, indexOfCurrentResultSet_, isCommitSql__, isPoolable, isPreparedStatement_, isQuery__, isRollbackSql__, KEEP_CURRENT_RESULT, materialStatement_, numInvisibleRS_, preparedStatementForAutoGeneratedKeys_, resultSetConcurrency_, resultSetHoldability_, resultSetType_, section_, SET_SCHEMA_STATEMENT, singletonRowData_, specialRegisterArrayList, sqlMode_, statementUUID, TIMEOUT_STATEMENT`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`CallableStatement(Agent agent, Connection connection, String sql, int type, int concurrency, int holdability, ClientPooledConnection cpc)` Common constructor for jdbc 2 callable statements with scroll attributes.

### Method Summary

Methods
`void` `clearParameters()`
`protected void` `finalize()`
`Array` `getArray(int parameterIndex)`
`Array` `getArray(String parameterName)`
`BigDecimal` `getBigDecimal(int parameterIndex)`
`BigDecimal` `getBigDecimal(int parameterIndex, int scale)` Deprecated.
`BigDecimal` `getBigDecimal(String parameterName)`
`Blob` `getBlob(int parameterIndex)`
`Blob` `getBlob(String parameterName)`
`boolean` `getBoolean(int parameterIndex)`
`boolean` `getBoolean(String parameterName)`
`byte` `getByte(int parameterIndex)`
`byte` `getByte(String parameterName)`
`byte[]` `getBytes(int parameterIndex)`
`byte[]` `getBytes(String parameterName)`
`Reader` `getCharacterStream(int parameterIndex)`
`Clob` `getClob(int parameterIndex)`
`Clob` `getClob(String parameterName)`
`Date` `getDate(int parameterIndex)`
`Date` `getDate(int parameterIndex, Calendar cal)`
`Date` `getDate(String parameterName)`
`Date` `getDate(String parameterName, Calendar calendar)`
`double` `getDouble(int parameterIndex)`
`double` `getDouble(String parameterName)`
`float` `getFloat(int parameterIndex)`
`float` `getFloat(String parameterName)`
`int` `getInt(int parameterIndex)`
`int` `getInt(String parameterName)`
`protected String` `getJdbcStatementInterfaceName()` Returns the name of the java.sql interface implemented by this class.
`long` `getLong(int parameterIndex)`
`long` `getLong(String parameterName)`
`Object` `getObject(int parameterIndex)`
`Object` `getObject(int parameterIndex, Map map)`
`Object` `getObject(String parameterName)`
`Object` `getObject(String parameterName, Map map)`
`Ref` `getRef(int parameterIndex)`
`Ref` `getRef(String parameterName)`
`short` `getShort(int parameterIndex)`
`short` `getShort(String parameterName)`
`String` `getString(int parameterIndex)`
`String` `getString(String parameterName)`
`Time` `getTime(int parameterIndex)`
`Time` `getTime(int parameterIndex, Calendar cal)`
`Time` `getTime(String parameterName)`
`Time` `getTime(String parameterName, Calendar calendar)`
`Timestamp` `getTimestamp(int parameterIndex)`
`Timestamp` `getTimestamp(int parameterIndex, Calendar cal)`
`Timestamp` `getTimestamp(String parameterName)`
`Timestamp` `getTimestamp(String parameterName, Calendar calendar)`
`URL` `getURL(int parameterIndex)`
`URL` `getURL(String parameterName)`
`boolean` `isCallMode()`
`void` `registerOutParameter(int parameterIndex, int jdbcType)`
`void` `registerOutParameter(int parameterIndex, int jdbcType, int scale)`
`void` `registerOutParameter(int parameterIndex, int jdbcType, String typeName)`
`void` `registerOutParameter(String parameterName, int sqlType)`
`void` `registerOutParameter(String parameterName, int sqlType, int scale)`
`void` `registerOutParameter(String parameterName, int sqlType, String typeName)`
`void` `reset(boolean fullReset)`
`void` `resetCallableStatement(Agent agent, Connection connection, String sql, int type, int concurrency, int holdability)`
`void` `resetCallableStatement(Agent agent, Connection connection, String sql, Section section)`
`void` `resetCallableStatement(Agent agent, Connection connection, String sql, Section section, ColumnMetaData parameterMetaData, ColumnMetaData resultSetMetaData)`
`void` `setAsciiStream(String parameterName, InputStream x, int length)`
`void` `setBigDecimal(String parameterName, BigDecimal x)`
`void` `setBinaryStream(String parameterName, InputStream x, int length)`
`void` `setBoolean(String parameterName, boolean x)`
`void` `setByte(String parameterName, byte x)`
`void` `setBytes(String parameterName, byte[] x)`
`void` `setCharacterStream(String parameterName, Reader reader, int length)`
`void` `setDate(String parameterName, Date x)`
`void` `setDate(String parameterName, Date x, Calendar calendar)`
`void` `setDouble(String parameterName, double x)`
`void` `setFloat(String parameterName, float x)`
`void` `setInt(String parameterName, int x)`
`void` `setLong(String parameterName, long x)`
`void` `setNull(String parameterName, int sqlType)`
`void` `setNull(String parameterName, int sqlType, String typeName)`
`void` `setObject(String parameterName, Object x)`
`void` `setObject(String parameterName, Object x, int targetSqlType)`
`void` `setObject(String parameterName, Object x, int targetSqlType, int scale)`
`void` `setShort(String parameterName, short x)`
`void` `setString(String parameterName, String x)`
`void` `setTime(String parameterName, Time x)`
`void` `setTime(String parameterName, Time x, Calendar calendar)`
`void` `setTimestamp(String parameterName, Timestamp x)`
`void` `setTimestamp(String parameterName, Timestamp x, Calendar calendar)`
`void` `setURL(String parameterName, URL x)`
`boolean` `wasNull()`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.PreparedStatement

`addBatch, completeDescribeInput, completeDescribeOutput, completeLocalCommit, completeLocalRollback, execute, execute, execute, execute, execute, executeBatch, executeBatchX, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, flowExecute, flowExecuteRead, flowExecuteWrite, getClientParamType, getMetaData, getParameterMetaData, getSuperResultSet, initResetPreparedStatement, listenToUnitOfWork, makeNewClientParamTypeFrom, markClosed, readDescribeInput, readDescribeOutput, readExecute, resetPreparedStatement, resetPreparedStatement, resetPreparedStatement, setAndStoreClientParamType, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBinaryStreamX, setBlob, setBlob, setBlob, setBlobX, setBoolean, setByte, setBytes, setBytesX, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL, singleHopPrepStmntExecuteQuery, writeDescribeInput, writeDescribeOutput, writeExecute`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.Statement

`accumulateWarning, addBatch, cancel, checkForDuplicateCursorName, checkForStoredProcResultSetCount, cleanSingleHopPrepStmnt, clearBatch, clearWarnings, close, closeX, completeExecute, completeExecuteCall, completeExecuteCall, completeExecuteCallOpenQuery, completeExecuteImmediate, completeExecuteSetStatement, completeOpenQuery, completePrepare, completePrepareDescribeOutput, completeSqlca, completeStatementIDRead, getConnection, getConnectionCallbackInterface, getFetchDirection, getFetchSize, getGeneratedKeys, getGuessedResultSetMetaData, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getSection, getSqlWarnings, getUpdateCount, getWarnings, initResetPreparedStatement, isClosed, isClosedNoThrow, isPoolable, isQueryMode, isWrapperFor, jdbc3FeatureNotSupported, jdbc3FeatureNotSupported, markAutoCommitted, needStatementUUID, readExecuteCall, readExecuteImmediate, readExecuteImmediateForBatch, readOpenQuery, readPrepare, readPrepareDescribeOutput, readSetSpecialRegister, readStatementID, removeClientCursorNameFromCache, resetStatement, resetStatement, resultSetCommitting, resultSetCommitting, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setOwner, setPoolable, setQueryTimeout, setupCursorNameCacheAndMappings, setUpdateCount, substituteClientCursorNameWithServerCursorName, upperCaseProcedureName, writeExecuteCall, writeExecuteImmediate, writeGetStmtUUID, writeOpenQuery, writePrepare, writePrepareDescribeOutput, writeSetSpecialRegister`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.CallableStatement

`getCharacterStream, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setRowId, setSQLXML`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.PreparedStatementCallbackInterface

`completeDescribeInput, completeDescribeOutput`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.StatementCallbackInterface

`accumulateWarning, completeExecute, completeExecuteCall, completeExecuteCall, completeExecuteCallOpenQuery, completeExecuteImmediate, completeExecuteSetStatement, completeOpenQuery, completePrepare, completePrepareDescribeOutput, completeSqlca, completeStatementIDRead, getConnectionCallbackInterface, getGuessedResultSetMetaData, getSection`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.UnitOfWorkListener

`completeLocalCommit, completeLocalRollback, listenToUnitOfWork`

### Field Detail

#### materialCallableStatement_

    public MaterialPreparedStatement materialCallableStatement_

### Constructor Detail

#### CallableStatement

    public CallableStatement(Agent agent,
                     Connection connection,
                     String sql,
                     int type,
                     int concurrency,
                     int holdability,
                     ClientPooledConnection cpc)
                      throws SqlException

Common constructor for jdbc 2 callable statements with scroll attributes. Called by material statement constructor.

Parameters:
  `agent` - The instance of NetAgent associated with this CallableStatement object.
  `connection` - The connection object associated with this PreparedStatement Object.
  `sql` - A String object that is the SQL statement to be sent to the database.
  `type` - One of the ResultSet type constants
  `concurrency` - One of the ResultSet concurrency constants
  `holdability` - One of the ResultSet holdability constants
  `cpc` - The PooledConnection object that will be used to notify the PooledConnection reference of the Error Occurred and the Close events.
Throws:
  `SqlException`

### Method Detail

#### reset

    public void reset(boolean fullReset)
               throws SqlException

Overrides:
  `reset` in class `PreparedStatement`
Throws:
  `SqlException`

#### resetCallableStatement

    public void resetCallableStatement(Agent agent,
                              Connection connection,
                              String sql,
                              int type,
                              int concurrency,
                              int holdability)
                                throws SqlException

Throws:
  `SqlException`

#### resetCallableStatement

    public void resetCallableStatement(Agent agent,
                              Connection connection,
                              String sql,
                              Section section)
                                throws SqlException

Throws:
  `SqlException`

#### resetCallableStatement

    public void resetCallableStatement(Agent agent,
                              Connection connection,
                              String sql,
                              Section section,
                              ColumnMetaData parameterMetaData,
                              ColumnMetaData resultSetMetaData)
                                throws SqlException

Throws:
  `SqlException`

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Statement`
Throws:
  `Throwable`

#### clearParameters

    public void clearParameters()
                         throws SQLException

Specified by:
  `clearParameters` in interface `PreparedStatement`
Overrides:
  `clearParameters` in class `PreparedStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int jdbcType)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int jdbcType,
                            int scale)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                            int jdbcType,
                            String typeName)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### wasNull

    public boolean wasNull()
                    throws SQLException

Specified by:
  `wasNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### getByte

    public byte getByte(int parameterIndex)
                 throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### getShort

    public short getShort(int parameterIndex)
                   throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### getInt

    public int getInt(int parameterIndex)
               throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### getLong

    public long getLong(int parameterIndex)
                 throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(int parameterIndex)
                   throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(int parameterIndex)
                     throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex,
                           int scale)
                             throws SQLException,
                                    ArithmeticException

Deprecated.

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`
  `ArithmeticException`

#### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int parameterIndex)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(int parameterIndex,
               Calendar cal)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int parameterIndex)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(int parameterIndex,
               Calendar cal)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int parameterIndex)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(int parameterIndex,
                         Calendar cal)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getString

    public String getString(int parameterIndex)
                     throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(int parameterIndex)
                 throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(int parameterIndex)
                 throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getArray

    public Array getArray(int parameterIndex)
                   throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(int parameterIndex)
               throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int parameterIndex)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(int parameterIndex,
                   Map map)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType,
                            int scale)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### registerOutParameter

    public void registerOutParameter(String parameterName,
                            int sqlType,
                            String typeName)
                              throws SQLException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLException`

#### getURL

    public URL getURL(int parameterIndex)
               throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### setURL

    public void setURL(String parameterName,
              URL x)
                throws SQLException

Specified by:
  `setURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(String parameterName,
               int sqlType)
                 throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBoolean

    public void setBoolean(String parameterName,
                  boolean x)
                    throws SQLException

Specified by:
  `setBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### setByte

    public void setByte(String parameterName,
               byte x)
                 throws SQLException

Specified by:
  `setByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### setShort

    public void setShort(String parameterName,
                short x)
                  throws SQLException

Specified by:
  `setShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### setInt

    public void setInt(String parameterName,
              int x)
                throws SQLException

Specified by:
  `setInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### setLong

    public void setLong(String parameterName,
               long x)
                 throws SQLException

Specified by:
  `setLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### setFloat

    public void setFloat(String parameterName,
                float x)
                  throws SQLException

Specified by:
  `setFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDouble

    public void setDouble(String parameterName,
                 double x)
                   throws SQLException

Specified by:
  `setDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBigDecimal

    public void setBigDecimal(String parameterName,
                     BigDecimal x)
                       throws SQLException

Specified by:
  `setBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### setString

    public void setString(String parameterName,
                 String x)
                   throws SQLException

Specified by:
  `setString` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBytes

    public void setBytes(String parameterName,
                byte[] x)
                  throws SQLException

Specified by:
  `setBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(String parameterName,
               Date x)
                 throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(String parameterName,
               Time x)
                 throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(String parameterName,
                    Timestamp x)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(String parameterName,
                      InputStream x,
                      int length)
                        throws SQLException

Specified by:
  `setAsciiStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(String parameterName,
                       InputStream x,
                       int length)
                         throws SQLException

Specified by:
  `setBinaryStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x,
                 int targetSqlType,
                 int scale)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x,
                 int targetSqlType)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setObject

    public void setObject(String parameterName,
                 Object x)
                   throws SQLException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(String parameterName,
                          Reader reader,
                          int length)
                            throws SQLException

Specified by:
  `setCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### setDate

    public void setDate(String parameterName,
               Date x,
               Calendar calendar)
                 throws SQLException

Specified by:
  `setDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTime

    public void setTime(String parameterName,
               Time x,
               Calendar calendar)
                 throws SQLException

Specified by:
  `setTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### setTimestamp

    public void setTimestamp(String parameterName,
                    Timestamp x,
                    Calendar calendar)
                      throws SQLException

Specified by:
  `setTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### setNull

    public void setNull(String parameterName,
               int sqlType,
               String typeName)
                 throws SQLException

Specified by:
  `setNull` in interface `CallableStatement`
Throws:
  `SQLException`

#### getString

    public String getString(String parameterName)
                     throws SQLException

Specified by:
  `getString` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBoolean

    public boolean getBoolean(String parameterName)
                       throws SQLException

Specified by:
  `getBoolean` in interface `CallableStatement`
Throws:
  `SQLException`

#### getByte

    public byte getByte(String parameterName)
                 throws SQLException

Specified by:
  `getByte` in interface `CallableStatement`
Throws:
  `SQLException`

#### getShort

    public short getShort(String parameterName)
                   throws SQLException

Specified by:
  `getShort` in interface `CallableStatement`
Throws:
  `SQLException`

#### getInt

    public int getInt(String parameterName)
               throws SQLException

Specified by:
  `getInt` in interface `CallableStatement`
Throws:
  `SQLException`

#### getLong

    public long getLong(String parameterName)
                 throws SQLException

Specified by:
  `getLong` in interface `CallableStatement`
Throws:
  `SQLException`

#### getFloat

    public float getFloat(String parameterName)
                   throws SQLException

Specified by:
  `getFloat` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDouble

    public double getDouble(String parameterName)
                     throws SQLException

Specified by:
  `getDouble` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBytes

    public byte[] getBytes(String parameterName)
                    throws SQLException

Specified by:
  `getBytes` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String parameterName)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String parameterName)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String parameterName)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String parameterName)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `CallableStatement`
Throws:
  `SQLException`

#### getObject

    public Object getObject(String parameterName,
                   Map map)
                     throws SQLException

Specified by:
  `getObject` in interface `CallableStatement`
Throws:
  `SQLException`

#### getRef

    public Ref getRef(String parameterName)
               throws SQLException

Specified by:
  `getRef` in interface `CallableStatement`
Throws:
  `SQLException`

#### getBlob

    public Blob getBlob(String parameterName)
                 throws SQLException

Specified by:
  `getBlob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getClob

    public Clob getClob(String parameterName)
                 throws SQLException

Specified by:
  `getClob` in interface `CallableStatement`
Throws:
  `SQLException`

#### getArray

    public Array getArray(String parameterName)
                   throws SQLException

Specified by:
  `getArray` in interface `CallableStatement`
Throws:
  `SQLException`

#### getDate

    public Date getDate(String parameterName,
               Calendar calendar)
                 throws SQLException

Specified by:
  `getDate` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTime

    public Time getTime(String parameterName,
               Calendar calendar)
                 throws SQLException

Specified by:
  `getTime` in interface `CallableStatement`
Throws:
  `SQLException`

#### getTimestamp

    public Timestamp getTimestamp(String parameterName,
                         Calendar calendar)
                           throws SQLException

Specified by:
  `getTimestamp` in interface `CallableStatement`
Throws:
  `SQLException`

#### getURL

    public URL getURL(String parameterName)
               throws SQLException

Specified by:
  `getURL` in interface `CallableStatement`
Throws:
  `SQLException`

#### getCharacterStream

    public Reader getCharacterStream(int parameterIndex)
                              throws SQLException

Specified by:
  `getCharacterStream` in interface `CallableStatement`
Throws:
  `SQLException`

#### getJdbcStatementInterfaceName

    protected String getJdbcStatementInterfaceName()

Returns the name of the java.sql interface implemented by this class.

Overrides:
  `getJdbcStatementInterfaceName` in class `PreparedStatement`
Returns:
  name of java.sql interface

#### isCallMode

    public boolean isCallMode()

Overrides:
  `isCallMode` in class `Statement`